RESET:
	sei
	cld
	ldx	#$FF
	txs

	lda	#8
	sta	$2000
	inx
	stx	$2001

.if cfg_ppuwarmup
	ldx	#4
:	lda	$2002
	bpl	:-
:	lda	$2002
	bmi	:-
	dex
	bpl	:--

	lda	#$10
	tay
:	sta	$2006
	sta	$2006
	eor	#$10
	dey
	bne	:-
.endif

	lda	#cfg_lastramresetpage
	sta	<1
	lda	#0
	sta	<0
ram_bank_clear:
	tay
ram_clear:
	.byte $91,0   ;sta (<$00),y
	dey
	bne	ram_clear
	dec	<1
	ldy	<1
	bpl	ram_bank_clear
	sta	<1

	lda	#$3F
	ldy	#0
	jsr	set2006R
	ldy	#$1F
	lda	#$0F
resetpal:
	sta	$2007
	dey
	bpl	resetpal	

	lda	#$20
	jsr	nametable_clearR
	lda	#$28
	jsr	nametable_clearR

	jsr	sprite_hide
	lda	#2
	sta	$4014

	lda	#cfg_initial2000
	sta	ppuctrl0
	sta	$2000
	lda	#cfg_initial2001
	sta	ppuctrl1
	sta	$2001

	jsr	display_offR

	.include "generated/lib_rest.asm"
	.include "prj_rest.asm"

	lda	#cfg_startupstad
	sta	stadium
	inc	stadium_initrig
	jmp	engine_loop